@shinnn/eslint-config-node-legacy

    3.0.0 • Public • Published

    @shinnn/eslint-config-node-legacy

    NPM version Build Status Dependency Status devDependency Status

    shinnn's ESLint sharable config for maintaining modules that still support Node v0.x

    Installation

    Use npm.

    npm install @shinnn/eslint-config-node-legacy
    

    CLI

    eslint --config @shinnn/node-legacy .
    

    API

    const CLIEngine = require('eslint').CLIEngine;
    
    const cli = new CLIEngine({configFile: '@shinnn/node-legacy'});
    cli.executeOnText('var foo=true;'); //=> {results: [ ... ], errorCount: ... }

    License

    Copyright (c) 2015 - 2016 Shinnosuke Watanabe

    Licensed under the MIT License.

    Install

    npm i @shinnn/eslint-config-node-legacy

    DownloadsWeekly Downloads

    15

    Version

    3.0.0

    License

    MIT

    Last publish

    Collaborators

    • shinnn